class IntellectDialogDataModel {
  String itemId;
  String title;
  String price;
  String priceOriginal;
  String commission;
  String commissionRate;
  String thumbnail;
  String provider;
  String couponUrl;
  String couponPrice;

  IntellectDialogDataModel(
      {this.itemId,
        this.title,
        this.price,
        this.priceOriginal,
        this.commission,
        this.commissionRate,
        this.thumbnail,
        this.provider,
        this.couponUrl,
        this.couponPrice});

  IntellectDialogDataModel.fromJson(Map<String, dynamic> json) {
    itemId = json['item_id'].toString();
    title = json['title'].toString();
    price = json['price'].toString();
    priceOriginal = json['price_original'].toString();
    commission = json['commission'].toString();
    commissionRate = json['commission_rate'].toString();
    thumbnail = json['thumbnail'].toString();
    provider = json['provider'].toString();
    couponUrl = json['coupon_url'].toString();
    couponPrice = json['coupon_price'].toString();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['item_id'] = this.itemId;
    data['title'] = this.title;
    data['price'] = this.price;
    data['price_original'] = this.priceOriginal;
    data['commission'] = this.commission;
    data['commission_rate'] = this.commissionRate;
    data['thumbnail'] = this.thumbnail;
    data['provider'] = this.provider;
    data['coupon_url'] = this.couponUrl;
    data['coupon_price'] = this.couponPrice;
    return data;
  }
}
